# 78. Abfrage: „Fields“ nach „externalKey“ finden

Finden Sie "Felder" anhand des von Dritten während des Registrierungsprozesses des "Feldes" verwendeten externalKey.

### <mark style="color:orange;">OPTION 1</mark> mittels getFields-Abfrage

{% code overflow="wrap" lineNumbers="true" %}

```graphql
Abfrage FindFieldsByExternalKeyOption1 {
  getFields(filter: {
    fieldExternalKey: "<third_party_identificator>"
  }) {
    Gesamtanzahl
    fields {
      uuid
      name
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:orange;">OPTION 2</mark> mittels getFarms-Abfrage

{% code overflow="wrap" lineNumbers="true" %}

```graphql
Abfrage FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<third_party_identificator>"]) {
      uuid
      name
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/78.-abfrage-fields-nach-externalkey-finden.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
